RemoteSearchable (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.RemoteSearchable class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class RemoteSearchable

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  org.apache.lucene.search.RemoteSearchable

All Implemented Interfaces:
  Closeable, Serializable, Remote, RMIRemoteSearchable, org.apache.lucene.search.Searchable

Deprecated. This package (all of contrib/remote) will be removed in 4.0.

    @Deprecated
    public class RemoteSearchable

extends UnicastRemoteObject
implements RMIRemoteSearchable

A remote searchable implementation.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`RemoteSearchable(org.apache.lucene.search.Searchable local)` Deprecated. Constructs and exports a remote searcher.

Method Summary
`void` | `close()` Deprecated.
`org.apache.lucene.document.Document` | `doc(int i)` Deprecated.
`org.apache.lucene.document.Document` | `doc(int i, org.apache.lucene.document.FieldSelector fieldSelector)` Deprecated.
`int` | `docFreq(org.apache.lucene.index.Term term)` Deprecated.
`int[]` | `docFreqs(org.apache.lucene.index.Term[] terms)` Deprecated.
`org.apache.lucene.search.Explanation` | `explain(org.apache.lucene.search.Weight weight, int doc)` Deprecated.
`static void` | `main(String[] args)` Deprecated. Exports a searcher for the index in args[0] named "//localhost/Searchable".
`int` | `maxDoc()` Deprecated.
`org.apache.lucene.search.Query` | `rewrite(org.apache.lucene.search.Query original)` Deprecated.
`void` | `search(org.apache.lucene.search.Weight weight, org.apache.lucene.search.Filter filter, org.apache.lucene.search.Collector results)` Deprecated.
`org.apache.lucene.search.TopDocs` | `search(org.apache.lucene.search.Weight weight, org.apache.lucene.search.Filter filter, int n)` Deprecated.
`org.apache.lucene.search.TopFieldDocs` | `search(org.apache.lucene.search.Weight weight, org.apache.lucene.search.Filter filter, int n, org.apache.lucene.search.Sort sort)` Deprecated.

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteSearchable

    public RemoteSearchable(org.apache.lucene.search.Searchable local)
                     throws RemoteException

  Deprecated.
  Constructs and exports a remote searcher.

  Throws:
    `RemoteException`

Method Detail

### search

    public void search(org.apache.lucene.search.Weight weight,
                       org.apache.lucene.search.Filter filter,
                       org.apache.lucene.search.Collector results)
                throws IOException

  Deprecated.
  Specified by:
    `search` in interface `org.apache.lucene.search.Searchable`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Deprecated.
  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in interface `org.apache.lucene.search.Searchable`
  Throws:
    `IOException`

### docFreq

    public int docFreq(org.apache.lucene.index.Term term)
                throws IOException

  Deprecated.
  Specified by:
    `docFreq` in interface `org.apache.lucene.search.Searchable`
  Throws:
    `IOException`

### docFreqs

    public int[] docFreqs(org.apache.lucene.index.Term[] terms)
                   throws IOException

  Deprecated.
  Specified by:
    `docFreqs` in interface `org.apache.lucene.search.Searchable`
  Throws:
    `IOException`

### maxDoc

    public int maxDoc()
               throws IOException

  Deprecated.
  Specified by:
    `maxDoc` in interface `org.apache.lucene.search.Searchable`
  Throws:
    `IOException`

### search

    public org.apache.lucene.search.TopDocs search(org.apache.lucene.search.Weight weight,
                                                   org.apache.lucene.search.Filter filter,
                                                   int n)
                                            throws IOException

  Deprecated.
  Specified by:
    `search` in interface `org.apache.lucene.search.Searchable`
  Throws:
    `IOException`

### search

    public org.apache.lucene.search.TopFieldDocs search(org.apache.lucene.search.Weight weight,
                                                        org.apache.lucene.search.Filter filter,
                                                        int n,
                                                        org.apache.lucene.search.Sort sort)
                                                 throws IOException

  Deprecated.
  Specified by:
    `search` in interface `org.apache.lucene.search.Searchable`
  Throws:
    `IOException`

### doc

    public org.apache.lucene.document.Document doc(int i)
                                            throws org.apache.lucene.index.CorruptIndexException,
                                                   IOException

  Deprecated.
  Specified by:
    `doc` in interface `org.apache.lucene.search.Searchable`
  Throws:
    `org.apache.lucene.index.CorruptIndexException`
    `IOException`

### doc

    public org.apache.lucene.document.Document doc(int i,
                                                   org.apache.lucene.document.FieldSelector fieldSelector)
                                            throws org.apache.lucene.index.CorruptIndexException,
                                                   IOException

  Deprecated.
  Specified by:
    `doc` in interface `org.apache.lucene.search.Searchable`
  Throws:
    `org.apache.lucene.index.CorruptIndexException`
    `IOException`

### rewrite

    public org.apache.lucene.search.Query rewrite(org.apache.lucene.search.Query original)
                                           throws IOException

  Deprecated.
  Specified by:
    `rewrite` in interface `org.apache.lucene.search.Searchable`
  Throws:
    `IOException`

### explain

    public org.apache.lucene.search.Explanation explain(org.apache.lucene.search.Weight weight,
                                                        int doc)
                                                 throws IOException

  Deprecated.
  Specified by:
    `explain` in interface `org.apache.lucene.search.Searchable`
  Throws:
    `IOException`

### main

    public static void main(String[] args)
                     throws Exception

  Deprecated.
  Exports a searcher for the index in args[0] named "//localhost/Searchable".

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD